Get Business Application History
curl --request GET \
--url https://api.baselayer.com/businesses/{id}/applications \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.baselayer.com/businesses/{id}/applications"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.baselayer.com/businesses/{id}/applications', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"created_at": "2026-08-24T10:31:07.676759",
"type": "community_bank",
"team": "compliance",
"product": "credit"
}
]{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Business Information
Get Business Application History
GET
/
businesses
/
{id}
/
applications
Get Business Application History
Authorizations
Path Parameters
Query Parameters
Maximum number of records to return in a single page. Must be between 1 and 1000.
Required range:
1 <= x <= 1000Number of records to skip from the beginning. Use 0 for the first page. Cannot be used with cursor.
Required range:
x >= 0Opaque pagination cursor token that identifies the position in the result set. Use the cursor from the previous response to get the next page. Cannot be used with offset.
Response
List of application velocity responses.
The date and time when the application was submitted.
Example:
"2026-08-24T10:31:07.676759"
The type of organization that submitted the application.
Available options:
neobank, community_bank, credit_union, regional_bank, national_bank, fintech, smb_lender, merchant_cash_advanced, processor, infrastructure, other Examples:
"community_bank"
"credit_union"
The team within the organization that submitted the application.
Available options:
cSuite, risk, compliance, engineering, operations, innovation, other Example:
"compliance"
The financial product type for which the application was submitted.
Available options:
savings, credit, working_capital, equipment, cash_advance, payments, other Example:
"credit"